FLAC::Metadata::StreamInfo class Reference

Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::StreamInfo Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::StreamInfo:

List of all members.

## Public Methods

| StreamInfo ()
| StreamInfo (::FLAC__StreamMetadata *object, bool copy)
| ~StreamInfo ()
StreamInfo & | assign (::FLAC__StreamMetadata *object, bool copy)
| StreamInfo (const StreamInfo &object)
| StreamInfo (const::FLAC__StreamMetadata &object)
| StreamInfo (const::FLAC__StreamMetadata *object)
StreamInfo & | operator= (const StreamInfo &object)
StreamInfo & | operator= (const::FLAC__StreamMetadata &object)
StreamInfo & | operator= (const::FLAC__StreamMetadata *object)
bool | operator== (const StreamInfo &object) const
bool | operator== (const::FLAC__StreamMetadata &object) const
bool | operator== (const::FLAC__StreamMetadata *object) const
bool | operator!= (const StreamInfo &object) const
bool | operator!= (const::FLAC__StreamMetadata &object) const
bool | operator!= (const::FLAC__StreamMetadata *object) const
unsigned | get_min_blocksize () const
unsigned | get_max_blocksize () const
unsigned | get_min_framesize () const
unsigned | get_max_framesize () const
unsigned | get_sample_rate () const
unsigned | get_channels () const
unsigned | get_bits_per_sample () const
FLAC__uint64 | get_total_samples () const
const FLAC__byte * | get_md5sum () const
void | set_min_blocksize (unsigned value)
void | set_max_blocksize (unsigned value)
void | set_min_framesize (unsigned value)
void | set_max_framesize (unsigned value)
void | set_sample_rate (unsigned value)
void | set_channels (unsigned value)
void | set_bits_per_sample (unsigned value)
void | set_total_samples (FLAC__uint64 value)
void | set_md5sum (const FLAC__byte value[16])

## Detailed Description

STREAMINFO metadata block. See format specification.

## Constructor & Destructor Documentation

FLAC::Metadata::StreamInfo::StreamInfo | ( | const StreamInfo & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::StreamInfo::StreamInfo | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::StreamInfo::StreamInfo | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::StreamInfo::StreamInfo | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

StreamInfo& FLAC::Metadata::StreamInfo::operator= | ( | const StreamInfo & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

StreamInfo& FLAC::Metadata::StreamInfo::operator= | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

StreamInfo& FLAC::Metadata::StreamInfo::operator= | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

StreamInfo& FLAC::Metadata::StreamInfo::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

bool FLAC::Metadata::StreamInfo::operator== | ( | const StreamInfo & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::StreamInfo::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::StreamInfo::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::StreamInfo::operator!= | ( | const StreamInfo & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::StreamInfo::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::StreamInfo::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

unsigned FLAC::Metadata::StreamInfo::get_min_blocksize | ( |  | ) | const

| See format specification.

unsigned FLAC::Metadata::StreamInfo::get_max_blocksize | ( |  | ) | const

| See format specification.

unsigned FLAC::Metadata::StreamInfo::get_min_framesize | ( |  | ) | const

| See format specification.

unsigned FLAC::Metadata::StreamInfo::get_max_framesize | ( |  | ) | const

| See format specification.

unsigned FLAC::Metadata::StreamInfo::get_sample_rate | ( |  | ) | const

| See format specification.

unsigned FLAC::Metadata::StreamInfo::get_channels | ( |  | ) | const

| See format specification.

unsigned FLAC::Metadata::StreamInfo::get_bits_per_sample | ( |  | ) | const

| See format specification.

FLAC__uint64 FLAC::Metadata::StreamInfo::get_total_samples | ( |  | ) | const

| See format specification.

const FLAC__byte* FLAC::Metadata::StreamInfo::get_md5sum | ( |  | ) | const

| See format specification.

void FLAC::Metadata::StreamInfo::set_min_blocksize | ( | unsigned | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_max_blocksize | ( | unsigned | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_min_framesize | ( | unsigned | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_max_framesize | ( | unsigned | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_sample_rate | ( | unsigned | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_channels | ( | unsigned | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_bits_per_sample | ( | unsigned | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_total_samples | ( | FLAC__uint64 | value | ) |

| See format specification.

void FLAC::Metadata::StreamInfo::set_md5sum | ( | const FLAC__byte | value[16] | ) |

| See format specification.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h